## ros-rolling-moveit-ros-planning-interface 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_ros_planning_interface)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_warehouse REQUIRED)
# find_package(moveit_ros_manipulation REQUIRED)
find_package(moveit_ros_move_group REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclpy REQUIRED)

# find_package(PythonInterp REQUIRED)
# find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)

find_package(Eigen3 REQUIRED)
# find_package(eigenpy REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

set(THIS_PACKAGE_INCLUDE_DIRS
#  py_bindings_tools/include
  common_planning_interface_objects/include
  planning_scene_interface/include
  move_group_interface/include
)

set(THIS_PACKAGE_LIBRARIES
  moveit_common_planning_interface_objects
  moveit_planning_scene_interface
  moveit_move_group_interface
#  moveit_py_bindings_tools
#  moveit_py_bindings_tools_python
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  geometry_msgs
  moveit_msgs
  moveit_core
  moveit_ros_planning
  moveit_ros_warehouse
#  moveit_ros_manipulation
  moveit_ros_move_group
  tf2
  tf2_eigen
  tf2_geometry_msgs
  tf2_ros
  rclcpp
  rclcpp_action
  Eigen3
  Boost
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS})

# add_subdirectory(py_bindings_tools)
add_subdirectory(common_planning_interface_objects)
add_subdirectory(planning_scene_interface)
add_subdirectory(move_group_interface)
# add_subdirectory(robot_interface)
# add_subdirectory(test)

#############
## TESTING ##
#############

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ros_testing REQUIRED)

  # TODO (vatanaksoytezer): Enable once this test is not flaky
  # Move group interface cpp ompl constrained planning integration test
  # ament_add_gtest_executable(move_group_ompl_constraints_test
  #     test/move_group_ompl_constraints_test.cpp
  # )

  # target_link_libraries(move_group_ompl_constraints_test ${THIS_PACKAGE_LIBRARIES})
  # ament_target_dependencies(move_group_ompl_constraints_test ${THIS_PACKAGE_INCLUDE_DEPENDS})
  # add_ros_test(test/launch/move_group_ompl_constraints.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")
  # end move group interface cpp ompl constrained planning integration test

endif()

install(
  TARGETS ${THIS_PACKAGE_LIBRARIES}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== move_group_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_move_group_interface)

add_library(${MOVEIT_LIB_NAME} SHARED src/move_group_interface.cpp)
include(GenerateExportHeader)
generate_export_header(${MOVEIT_LIB_NAME})
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} moveit_common_planning_interface_objects moveit_planning_scene_interface ${Boost_THREAD_LIBRARY})
ament_target_dependencies(${MOVEIT_LIB_NAME}
  moveit_core
  moveit_msgs
  moveit_ros_move_group
  moveit_ros_occupancy_map_monitor
  moveit_ros_planning
  moveit_ros_warehouse
)

# TODO (ddengster) : port wrap_python_move_group
#add_library(${MOVEIT_LIB_NAME}_python src/wrap_python_move_group.cpp)
#target_link_libraries(${MOVEIT_LIB_NAME}_python ${MOVEIT_LIB_NAME} ${eigenpy_LIBRARIES} ${PYTHON_LIBRARIES} ${LIBS} ${Boost_LIBRARIES} moveit_py_bindings_tools)
#add_dependencies(${MOVEIT_LIB_NAME}_python)
#set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
#set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES OUTPUT_NAME _moveit_move_group_interface PREFIX "")
#set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY "bin")
if(WIN32)
#  set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES SUFFIX .pyd)
endif()

install(DIRECTORY include/ DESTINATION include)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MOVEIT_LIB_NAME}_export.h DESTINATION include)

#add_executable(demo src/demo.cpp)
#target_link_libraries(demo ${MOVEIT_LIB_NAME} ${LIBS} ${Boost_LIBRARIES})

=== robot_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_robot_interface)

add_library(${MOVEIT_LIB_NAME}_python src/wrap_python_robot_interface.cpp)
target_link_libraries(${MOVEIT_LIB_NAME}_python ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  moveit_common_planning_interface_objects moveit_py_bindings_tools
)
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES OUTPUT_NAME _moveit_robot_interface PREFIX "")
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}")
if(WIN32)
  set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES SUFFIX .pyd)
endif()

install(TARGETS ${MOVEIT_LIB_NAME}_python
  EXPORT ${MOVEIT_LIB_NAME}_python
  DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

=== debian/changelog ===
ros-rolling-moveit-ros-planning-interface (2.4.0-1focal) focal; urgency=high

  * Fix boost linking errors for Windows (#957 <https://github.com/ros-planning/moveit2/issues/957>)
  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * MGI: add missing replan/look options to interface (#2892 <https://github.com/ros-planning/moveit2/issues/2892>)
    - reordered methods because looking requires replanning
    - there's no sense in wrapping methods in methods.
    just use pimpl-friend paradigm instead. Someone could
    rework all the other methods in the future.
  * PSI: get object.pose from new msg field (#2877 <https://github.com/ros-planning/moveit2/issues/2877>)
  * Contributors: Abishalini, Akash, Gauthier Hentz, Michael Görner, Robert Haschke, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.3.1-1focal) focal; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Find/replace deprecated spawner.py (#737 <https://github.com/ros-planning/moveit2/issues/737>)
  * common_objects: getSharedRobotModelLoader fix deadlock (#734 <https://github.com/ros-planning/moveit2/issues/734>)
  * fix trajectory constraints for moveit commander (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * MGI::setStartState: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: AndyZe, Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Jafar Abdi, Kevin Chang, Robert Haschke, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.3.0-1focal) focal; urgency=high

  * Support passing MoveGroup's namespace to MoveGroupInterface (#533 <https://github.com/ros-planning/moveit2/issues/533>)
  * Add getSharedRobotModelLoader to fix race condition when having multiple displays for the same node (#525 <https://github.com/ros-planning/moveit2/issues/525>)
  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
    * Add private buffer & tf listener to PSM
    * Remove coupled deleter
    * Decouple PSM from CSM
    * Deprecate old constructors
  * getInterfaceDescription: Fix rclcpp API breakage (#686 <https://github.com/ros-planning/moveit2/issues/686>)
  * [main] Migrate to joint_state_broadcaster (#657 <https://github.com/ros-planning/moveit2/issues/657>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Create a transform subscribers to enable virtual joints (#310 <https://github.com/ros-planning/moveit2/issues/310>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Contributors: Akash, Jafar Abdi, Nisala Kalupahana, Jorge Nicho, Henning Kayser, Vatan Aksoy Tezer, Tyler Weaver, Lior Lustgarten

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.2.1-1focal) focal; urgency=high

  * Fix test dependencies (#539 <https://github.com/ros-planning/moveit2/issues/539>)
  * Contributors: Jochen Sprickerhof

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.2.0-1focal) focal; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * [sync] with MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
    * planning_interface: synchronize async interfaces in test (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
    * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
    * fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
    * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)Deprecate namespace moveit::planning_interface in favor of moveit_cpp
    
      * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
      * Add debugging log statement for a common error (#2509 <https://github.com/ros-planning/moveit/issues/2509>)


=== debian/control ===
Source: ros-rolling-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-planners-ompl, ros-rolling-moveit-resources-fanuc-moveit-config, ros-rolling-moveit-resources-panda-moveit-config, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-moveit-simple-controller-manager, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rclpy, ros-rolling-ros-testing, ros-rolling-rviz2, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-rolling-geometry-msgs, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rclpy, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: Components of MoveIt that offer simpler interfaces to planning and execution

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-ros-planning-interface//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-ros-planning-interface 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.10.2)
-project(moveit_ros_planning_interface)
+cmake_minimum_required(VERSION 3.22)
+project(moveit_ros_planning_interface LANGUAGES CXX)
 
 # Common cmake code applied to all moveit packages
 find_package(moveit_common REQUIRED)
@@ -10,7 +10,6 @@
 find_package(moveit_core REQUIRED)
 find_package(moveit_ros_planning REQUIRED)
 find_package(moveit_ros_warehouse REQUIRED)
-# find_package(moveit_ros_manipulation REQUIRED)
 find_package(moveit_ros_move_group REQUIRED)
 find_package(geometry_msgs REQUIRED)
 find_package(tf2 REQUIRED)
@@ -51,7 +50,6 @@
   moveit_core
   moveit_ros_planning
   moveit_ros_warehouse
-#  moveit_ros_manipulation
   moveit_ros_move_group
   tf2
   tf2_eigen
@@ -95,14 +93,14 @@
 
 install(
   TARGETS ${THIS_PACKAGE_LIBRARIES}
-  EXPORT export_${PROJECT_NAME}
+  EXPORT moveit_ros_planning_interfaceTargets
   LIBRARY DESTINATION lib
   ARCHIVE DESTINATION lib
   RUNTIME DESTINATION bin
-  INCLUDES DESTINATION include
+  INCLUDES DESTINATION include/moveit_ros_planning_interface
 )
 
-ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
+ament_export_targets(moveit_ros_planning_interfaceTargets HAS_LIBRARY_TARGET)
 ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 if(BUILD_TESTING)
@@ -110,7 +108,6 @@
 
   # These don't pass yet, disable them for now
   set(ament_cmake_copyright_FOUND TRUE)
-  set(ament_cmake_cppcheck_FOUND TRUE)
   set(ament_cmake_cpplint_FOUND TRUE)
   set(ament_cmake_flake8_FOUND TRUE)
   set(ament_cmake_uncrustify_FOUND TRUE)

=== common_planning_interface_objects/CMakeLists.txt ===
add_library(moveit_common_planning_interface_objects SHARED src/common_objects.cpp)
set_target_properties(moveit_common_planning_interface_objects PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(moveit_common_planning_interface_objects
    rclcpp
    moveit_ros_planning
    tf2_ros
)

install(DIRECTORY include/ DESTINATION include/moveit_ros_planning_interface)

=== move_group_interface/CMakeLists.txt ===
add_library(moveit_move_group_interface SHARED src/move_group_interface.cpp)
include(GenerateExportHeader)
generate_export_header(moveit_move_group_interface)
target_include_directories(moveit_move_group_interface PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(moveit_move_group_interface PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_move_group_interface moveit_common_planning_interface_objects moveit_planning_scene_interface ${Boost_THREAD_LIBRARY})
ament_target_dependencies(moveit_move_group_interface
  moveit_core
  moveit_msgs
  moveit_ros_move_group
  moveit_ros_occupancy_map_monitor
  moveit_ros_planning
  moveit_ros_warehouse
)

# TODO (ddengster) : port wrap_python_move_group
#add_library(moveit_move_group_interface_python src/wrap_python_move_group.cpp)
#target_link_libraries(moveit_move_group_interface_python moveit_move_group_interface ${eigenpy_LIBRARIES} ${PYTHON_LIBRARIES} ${LIBS} ${Boost_LIBRARIES} moveit_py_bindings_tools)
#add_dependencies(moveit_move_group_interface_python)
#set_target_properties(moveit_move_group_interface_python PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
#set_target_properties(moveit_move_group_interface_python PROPERTIES OUTPUT_NAME _moveit_move_group_interface PREFIX "")
#set_target_properties(moveit_move_group_interface_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY "bin")
if(WIN32)
#  set_target_properties(moveit_move_group_interface_python PROPERTIES SUFFIX .pyd)
endif()

install(DIRECTORY include/ DESTINATION include/moveit_ros_planning_interface)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/moveit_move_group_interface_export.h DESTINATION include/moveit_ros_planning_interface)

=== planning_scene_interface/CMakeLists.txt ===
add_library(moveit_planning_scene_interface SHARED src/planning_scene_interface.cpp)
set_target_properties(moveit_planning_scene_interface PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(moveit_planning_scene_interface moveit_msgs moveit_core moveit_ros_move_group)

# TODO(JafarAbdi): Support python wrapper
#add_library(moveit_planning_scene_interface_python src/wrap_python_planning_scene_interface.cpp)
#set_target_properties(moveit_planning_scene_interface_python PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
#target_link_libraries(moveit_planning_scene_interface_python moveit_planning_scene_interface ${PYTHON_LIBRARIES} ${LIBS} ${Boost_LIBRARIES} moveit_py_bindings_tools)
#set_target_properties(moveit_planning_scene_interface_python PROPERTIES OUTPUT_NAME _moveit_planning_scene_interface PREFIX "")
#set_target_properties(moveit_planning_scene_interface_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY "bin")
if(WIN32)
#  set_target_properties(moveit_planning_scene_interface_python PROPERTIES SUFFIX .pyd)
endif()

#install(TARGETS moveit_planning_scene_interface_python
#  EXPORT moveit_planning_scene_interface_python
#  DESTINATION bin)

install(DIRECTORY include/ DESTINATION include/moveit_ros_planning_interface)

=== py_bindings_tools/CMakeLists.txt ===
add_library(moveit_py_bindings_tools src/roscpp_initializer.cpp)
set_target_properties(moveit_py_bindings_tools PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_py_bindings_tools ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})

install(TARGETS moveit_py_bindings_tools
  EXPORT moveit_py_bindings_tools
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

add_library(moveit_py_bindings_tools_python src/wrap_python_roscpp_initializer.cpp)
target_link_libraries(moveit_py_bindings_tools_python moveit_py_bindings_tools ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(moveit_py_bindings_tools_python PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(moveit_py_bindings_tools_python PROPERTIES OUTPUT_NAME _moveit_roscpp_initializer PREFIX "")
set_target_properties(moveit_py_bindings_tools_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}")
if(WIN32)
  set_target_properties(moveit_py_bindings_tools_python PROPERTIES SUFFIX .pyd)
endif()

install(TARGETS moveit_py_bindings_tools_python
  EXPORT moveit_py_bindings_tools_python
  DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== robot_interface/CMakeLists.txt ===
add_library(moveit_robot_interface_python src/wrap_python_robot_interface.cpp)
target_link_libraries(moveit_robot_interface_python ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  moveit_common_planning_interface_objects moveit_py_bindings_tools
)
set_target_properties(moveit_robot_interface_python PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(moveit_robot_interface_python PROPERTIES OUTPUT_NAME _moveit_robot_interface PREFIX "")
set_target_properties(moveit_robot_interface_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}")
if(WIN32)
  set_target_properties(moveit_robot_interface_python PROPERTIES SUFFIX .pyd)
endif()

install(TARGETS moveit_robot_interface_python
  EXPORT moveit_robot_interface_python
  DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

=== test/CMakeLists.txt ===
if(BUILD_TESTING)
  find_package(moveit_resources REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)
  # TODO(henningkayser): migrate to launch_test
  # find_package(rostest REQUIRED)
  find_package(eigen_conversions REQUIRED)

  # add_executable(test_cleanup test_cleanup.cpp)
  # target_link_libraries(test_cleanup moveit_move_group_interface)

  ament_add_gtest(moveit_cpp_test moveit_cpp_test.test moveit_cpp_test.cpp)
  #ament_target_dependencies(moveit_cpp_test rclcpp)
  target_link_libraries(moveit_cpp_test moveit_cpp)

  # TODO(henningkayser): re-enable new tests
  #  add_rostest_gtest(move_group_interface_cpp_test move_group_interface_cpp_test.test move_group_interface_cpp_test.cpp)
  #  target_link_libraries(move_group_interface_cpp_test moveit_move_group_interface ${catkin_LIBRARIES} ${eigen_conversions_LIBRARIES})
  #
  #  add_rostest_gtest(move_group_pick_place_test move_group_pick_place_test.test move_group_pick_place_test.cpp)
  #  target_link_libraries(move_group_pick_place_test moveit_move_group_interface ${catkin_LIBRARIES} ${eigen_conversions_LIBRARIES})
  #
  #  add_rostest_gtest(moveit_cpp_test moveit_cpp_test.test moveit_cpp_test.cpp)
  #  target_link_libraries(moveit_cpp_test moveit_cpp ${catkin_LIBRARIES})
  #
  #  add_rostest_gtest(subframes_test subframes_test.test subframes_test.cpp)
  #  target_link_libraries(subframes_test moveit_move_group_interface
  #                       ${catkin_LIBRARIES} ${eigen_conversions_LIBRARIES})

  # add_rostest(python_move_group.test)
  # add_rostest(python_move_group_ns.test)
  # add_rostest(robot_state_update.test)
  # add_rostest(dual_arm_robot_state_update.test)
  # add_rostest(cleanup.test)


  # SET(HELPER_LIB moveit_planning_interface_test_serialize_msg_cpp_helper)
  # add_library(${HELPER_LIB} serialize_msg_python_cpp_helpers.cpp)
  # set_target_properties(${HELPER_LIB} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
  # target_link_libraries(${HELPER_LIB} ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_py_bindings_tools)
  # set_target_properties(${HELPER_LIB} PROPERTIES OUTPUT_NAME "_${HELPER_LIB}" PREFIX "")
  # set_target_properties(${HELPER_LIB} PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}")
  # if(WIN32)
  #   set_target_properties(${HELPER_LIB} PROPERTIES SUFFIX .pyd)
  # endif(WIN32)

  # catkin_add_nosetests(serialize_msg.py)
endif()

=== debian/changelog ===
ros-rolling-moveit-ros-planning-interface (2.8.0-2jammy) jammy; urgency=high

  * Specify controller name in MGI execution (#2257 <https://github.com/ros-planning/moveit2/issues/2257>)
    * Specify controller name in MGI execute
    * Finish comment
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove deprecated move_group pick& place functionality + demo (#2239 <https://github.com/ros-planning/moveit2/issues/2239>)
    Co-authored-by: Jafar Uruç <mailto:cafer.abdi@gmail.com>
  * Contributors: Sebastian Jahr, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.7.4-2jammy) jammy; urgency=high

  * Scale acceleration and velocity of cartesian interpolations (#1968 <https://github.com/ros-planning/moveit2/issues/1968>)
  * Contributors: Yadu

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.7.2-2jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Merge pull request #1900 <https://github.com/ros-planning/moveit2/issues/1900> from Abishalini/pr-sync-1245f15
    Sync with MoveIt1
  * Readd comment and assign error code
  * Merge https://github.com/ros-planning/moveit/commit/1245f151393fe09023efec3e1faead2d26737227
  * Update description of moveit_ros_planning_interface (#2045 <https://github.com/ros-planning/moveit2/issues/2045>)
    * Update description of moveit_ros_planning_interface
    * Update moveit_ros/planning_interface/package.xml
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    ---------
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Merge PR #3197 <https://github.com/ros-planning/moveit2/issues/3197>: Improve computeCartesianPath()
  * Simplify MGI::computeCartesianPath()
  * Contributors: Abishalini, Abishalini Sivaraman, Robert Haschke, Sebastian Jahr, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.7.1-2jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-ros-planning-interface (2.7.0-2jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/9225971216885490e933ece25390c63ca14f8a58
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * 400% speed up to move group interface (#1865 <https://github.com/ros-planning/moveit2/issues/1865>)
  * GHA: Build moveit_msgs from source (#1853 <https://github.com/ros-planning/moveit2/issues/1853>)
    * Revert #1739 <https://github.com/ros-planning/moveit2/issues/1739>: moveit_msgs no longer needs to be built from source
    This reverts commit 6e0fce31cfe94ef8c6d5ebccb4d865f0c144b6e1.
    * Remove obsolete include: moveit_msgs/srv/execute_known_trajectory.hpp
    * Cleanup moveit2.repos
  * Cleanup msg includes: Use C++ instead of C header (#1844 <https://github.com/ros-planning/moveit2/issues/1844>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Test moveit_commander.set_joint_value_target with JointState argument (#3187 <https://github.com/ros-planning/moveit2/issues/3187>)
    * Test with JointState argument
    * Check size of name and position fields
    Co-authored-by: Robert Haschke <mailto:rhaschke@techfak.uni-bielefeld.de>


=== debian/control ===
Source: ros-rolling-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-moveit-common, ros-rolling-moveit-configs-utils <!nocheck>, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-planners-ompl <!nocheck>, ros-rolling-moveit-resources-fanuc-moveit-config <!nocheck>, ros-rolling-moveit-resources-panda-moveit-config <!nocheck>, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-moveit-simple-controller-manager <!nocheck>, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rclpy, ros-rolling-ros-testing <!nocheck>, ros-rolling-rviz2 <!nocheck>, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-rolling-geometry-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rclpy, ros-rolling-tf2, ros-rolling-tf2-eigen, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: Components of MoveIt that offer simpler remote (as from another ROS 2 node) interfaces to planning and execution

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
